Bug 1956365 - Review Request: rust-asn1_derive - #[derive] support for asn1
Summary: Review Request: rust-asn1_derive - #[derive] support for asn1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1956367
TreeView+ depends on / blocked
 
Reported: 2021-05-03 14:32 UTC by Christian Heimes
Modified: 2021-05-17 03:08 UTC (History)
3 users (show)

Fixed In Version: rust-asn1_derive-0.4.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-17 03:08:22 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Christian Heimes 2021-05-03 14:32:46 UTC
Spec URL: https://cheimes.fedorapeople.org/rust/rust-asn1_derive.spec
SRPM URL: https://cheimes.fedorapeople.org/rust/rust-asn1_derive-0.4.1-1.fc35.src.rpm
Description: #[derive] support for asn1
Fedora Account System Username: cheimes

rust-asn1_derive is dependency for rust-asn1, which in turn is a new dependency of next PyCA cryptography release.

specfile is auto-created with rust2rpm.

Comment 1 Fabio Valentini 2021-05-06 08:46:10 UTC
I'll take on this review.

Package was generated with rust2rpm, so the review is straightforward:

- latest version is packaged
- builds and installs on rawhide without errors
- license matches upstream specification

One issue: The crate does not ship a LICENSE file in the asn1_derive crate.
Please report this upstream: https://github.com/alex/rust-asn1
There's already a LICENSE file in the git repo, which is shipped with the "main" crate.
Shipping it with the asn1_derive "sub-crate" as well should be as simple as creating a symlink from "asn1_derive/LICENSE" pointing at "../LICENSE".

Comment 2 Christian Heimes 2021-05-06 11:06:18 UTC
Thanks Fabio, I have filed https://github.com/alex/rust-asn1/issues/130

Comment 3 Fabio Valentini 2021-05-06 11:18:05 UTC
Great, just add that link as a comment in the .spec file before importing it to Fedora.

Most rust crates with similar problems put it in the line below the "# Upstream license specification" comment.

Comment 4 Christian Heimes 2021-05-06 16:06:23 UTC
I have updated the spec file and added a reference to PR https://github.com/alex/rust-asn1/issues/131 .

Comment 5 Gwyn Ciesla 2021-05-06 16:31:03 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-asn1_derive

Comment 6 Christian Heimes 2021-05-06 17:06:58 UTC
Build rust-asn1_derive-0.4.1-1.fc35 is now available on Rawhide, https://bodhi.fedoraproject.org/updates/FEDORA-2021-953bd4ab66

Fabio, do we need a backport to F34?

Comment 7 Fabio Valentini 2021-05-06 20:57:18 UTC
(In reply to Christian Heimes from comment #6)
> Fabio, do we need a backport to F34?

If you expect to need these packages on F34 as well, then yes.
If have not already, request the f34 branch in dist-git ("fedpkg request-branch --repo rust-asn1_derive f34"),
and then the following should do the trick:

"fedpkg switch-branch f34 && git merge rawhide && git push && fedpkg build"

You might need a buildroot override for building rust-asn1 afterwards, unless this one will get pushed to stable fast.
Or you could use a side tag for f34.

Comment 8 Fedora Update System 2021-05-08 13:13:45 UTC
FEDORA-2021-8dc9949813 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8dc9949813

Comment 9 Fedora Update System 2021-05-09 02:20:12 UTC
FEDORA-2021-8dc9949813 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-8dc9949813 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8dc9949813

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-17 03:08:22 UTC
FEDORA-2021-8dc9949813 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.